from django.urls import re_path

from reface.line.builder import BuilderConsumer
from reface.line.scanner import ScannerConsumer
from reface.line.address import AddressConsumer

websocket_urlpatterns = [
    re_path(r'rapida/ws/builder/(?P<box>\d+)/(?P<module>\d+)/(?P<channel>\d+)/$', BuilderConsumer.as_asgi()),
    re_path(r'rapida/ws/scanner/(?P<box>\d+)/(?P<module>\d+)/(?P<channel>\d+)/$', ScannerConsumer.as_asgi()),
    re_path(r'rapida/ws/address/(?P<box>\d+)/(?P<module>\d+)/(?P<channel>\d+)/$', AddressConsumer.as_asgi()),
]
