from django import template
from django.template.base import Node

from resh.utils.const import RESH_VERSION

register = template.Library()


class VersionNode(Node):
    def render(self, context):
        return RESH_VERSION


@register.tag
def version(parser, token):
    return VersionNode()
